Name:		ruby-qt4
Summary:	Ruby Qt4 bindings
Version: 4.9.3
Release: 1
Epoch:		1
Group:		Development/KDE and Qt
License:	GPLv2 LGPLv2
URL:		http://www.kde.org
Source:		ftp://ftp.kde.org/pub/kde/stable/%{version}/src/qtruby-%{version}.tar.xz
BuildRequires:	cmake
BuildRequires:	kde4-macros
Buildrequires:	kdelibs4-devel
BuildRequires:	smokeqt-devel >= 1:%{version}
BuildRequires:	phonon-devel
BuildRequires:	qscintilla-qt4-devel
BuildRequires:	ruby-devel
BuildRequires:	ruby

%description
A Qt4 bindings for Ruby language.

%files
%doc COPYING COPYING.LIB README TODO AUTHORS ChangeLog
%{_kde_bindir}/rbqtapi
%{ruby_sitearchdir}/qscintilla.so
%{ruby_sitearchdir}/qtdeclarative.so
%{ruby_sitearchdir}/qtruby4.so
%{ruby_sitearchdir}/qtuitools.so
%{ruby_sitearchdir}/qtwebkit.so
%{ruby_sitearchdir}/qtscript.so
%{ruby_sitearchdir}/qttest.so
%{ruby_sitearchdir}/phonon.so
%{ruby_sitelibdir}/Qt.rb
%{ruby_sitelibdir}/Qt3.rb
%{ruby_sitelibdir}/Qt4.rb
%{ruby_sitelibdir}/Qt
%{ruby_sitelibdir}/qscintilla
%{ruby_sitelibdir}/qtdeclarative
%{ruby_sitelibdir}/qtuitools
%{ruby_sitelibdir}/qtwebkit
%{ruby_sitelibdir}/qtscript
%{ruby_sitelibdir}/qttest
%{ruby_sitelibdir}/phonon

#------------------------------------------------------------

%define libqtruby4shared_major 2
%define libqtruby4shared %mklibname qtruby4shared %{libqtruby4shared_major}

%package -n %{libqtruby4shared}
Summary:	Qt generic bindings library
Group:		Development/KDE and Qt

%description -n %{libqtruby4shared}
Qt generic bindings library.

%files -n %{libqtruby4shared}
%{_kde_libdir}/libqtruby4shared.so.%{libqtruby4shared_major}*

#------------------------------------------------------------

%package devel
Summary:	Header files for ruby-qt4
Group:		Development/KDE and Qt
Requires:	ruby-qt4 = %{EVRD}
Requires:	%{libqtruby4shared} = %{EVRD}

%description devel
ruby-qt4 devel files.

%files devel
%{_kde_bindir}/rbrcc
%{_kde_bindir}/rbuic4
%{_kde_libdir}/libqtruby4shared.so
%{_kde_includedir}/qtruby
%{_kde_datadir}/qtruby4/cmake/*.cmake

#------------------------------------------------------------

%prep
%setup -qn qtruby-%{version}

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build



%changelog
* Wed Nov 07 2012 Crispin Boylan <crisb@mandriva.org> 1:4.9.3-1
+ Revision: 822090
- New release

* Wed Oct 03 2012 Crispin Boylan <crisb@mandriva.org> 1:4.9.2-1
+ Revision: 818217
- New release

* Sat Aug 04 2012 Crispin Boylan <crisb@mandriva.org> 1:4.9.0-1
+ Revision: 811755
- New release

  + Andrey Bondrov <abondrov@mandriva.org>
    - Adjust spec cosmetics

* Sun Jul 15 2012 Crispin Boylan <crisb@mandriva.org> 1:4.8.97-1
+ Revision: 809355
- New release

* Fri Jun 08 2012 Crispin Boylan <crisb@mandriva.org> 1:4.8.4-1
+ Revision: 803656
- New release

* Fri May 04 2012 Crispin Boylan <crisb@mandriva.org> 1:4.8.3-1
+ Revision: 796106
- New release

* Thu Apr 19 2012 Crispin Boylan <crisb@mandriva.org> 1:4.8.2-1
+ Revision: 791892
- New release

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - New upstream tarball

* Sat Feb 04 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.8.0-2
+ Revision: 771180
- Rebuild against new ruby

* Thu Jan 19 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.8.0-1
+ Revision: 762418
- New upstream tarball

* Fri Jan 06 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.7.97-1
+ Revision: 758119
- New upstream tarball

* Tue Jan 03 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.7.95-1
+ Revision: 748770
- New version

* Wed Dec 14 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.7.90-1
+ Revision: 740827
- New version

* Mon Nov 21 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.7.80-1
+ Revision: 732114
- New version 4.7.80

* Tue Sep 20 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.7.41-1
+ Revision: 700589
- Add runy as buildrequire
- Import qtruby
- Create current folder

